Package: org.codehaus.groovy.tools.shell.commands

## [Groovy] Class LoadCommand

- org.codehaus.groovy.tools.shell.commands.LoadCommand

- The 'load' command.

  Authors:
    Jason Dillon

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static String` | `COMMAND_NAME` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class CommandSupport` | `NEWLINE, io, log, messages, registry, shell`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `LoadCommand (Groovysh shell)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected List<Completer>` | `createCompleters()`
    `` | `Object` | `execute(List<String> args)`
    `` | `void` | `load(URL url)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class CommandSupport` | `alias, assertNoArguments, createCompleters, fail, fail, getAliases, getBinding, getBuffer, getBuffers, getClassLoader, getCompleter, getDescription, getHelp, getHidden, getHistory, getImports, getName, getShortcut, getUsage, getVariables`

- - ### Field Detail

    - #### public static final String COMMAND_NAME

  - ### Constructor Detail

    - #### LoadCommand(Groovysh shell)

  - ### Method Detail

    - #### @Override protected List<Completer> createCompleters()

    - #### @Override Object execute(List<String> args)

    - #### void load(URL url)